#version 330 core

in vec2 UV;
in vec3 normal;
in vec4 pos;

uniform sampler2D myTextureSampler;

// output
layout(location = 0) out vec4 color;
layout(location = 1) out vec4 oNormal;
layout(location = 2) out vec4 speedcolor;
layout(location = 3) out vec4 position;
//out vec4 color;

void main(){
	color = texture( myTextureSampler, UV ) + 0.000001 * vec4(normal, 1.0);
	oNormal = vec4(0.0);
	speedcolor = vec4(0.0);
//	position = vec4(0.0);
}
